<template>

	<div>
		<div class="col-md-12">
			<h1>{{ value.title }}</h1>
		</div> 
		<div class="col-lg-4 col-md-4 col-sm-12 " v-for="box in value.data">
			<h5>{{ box.subtitle}}</h5>
			<!--<p>{{ box.body}}</p>-->
			<p v-html="box.body.replace(/(?:\r\n|\r|\n)/g, '<br>')"></p>
		</div>
	</div>

</template>

<script>	
	import { config } 		from './config'
	import { mapActions } 	from 'vuex'
	import ResultTypes from '../../../../utils/ResultTypes'

	export default{
		name 	: config.component,
		props 	: config.props,
		methods : {
	  		...mapActions([
		      'evaluate',
			]),
		},
		mounted(){
			let isPreview = window.location.href.split('/')[3] == 'course-preview'
				if(isPreview){
					setTimeout( ()=> this.evaluate(ResultTypes.PASSED), 4 * 1000)
				}
				else{
					setTimeout( ()=> this.evaluate(ResultTypes.PASSED), this.value.readingTime * 1000)
					}
		},
		updated(){
			let isPreview = window.location.href.split('/')[3] == 'course-preview'
				if(isPreview)
					setTimeout( ()=> this.evaluate(ResultTypes.PASSED), 4 * 1000)
				else
					setTimeout( ()=> this.evaluate(ResultTypes.PASSED), this.value.readingTime * 1000)
		}
	}
</script>